import 'package:flutter/services.dart';

class NodeService {
  final MethodChannel _channel;

  NodeService(this._channel);

  Future<String> addressesBalance(String address) async {
    int result = await _channel.invokeMethod('addressesBalance', address);
    return result.toStringAsFixed(8);
  }
}