package com.example.waves_sdk

import android.content.Context
import android.util.Log
import com.wavesplatform.sdk.WavesSdk
import com.wavesplatform.sdk.crypto.WavesCrypto
import com.wavesplatform.sdk.utils.Environment
import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.MethodChannel

class WavesSdkHandler(var context: Context) {

  fun onMethodCall(call: MethodCall, result: MethodChannel.Result) {

    if (call.method == "init") {
      WavesSdk.init(context, if (call.arguments == "test_net") Environment.TEST_NET else Environment.MAIN_NET)
      return result.success(true)
    }

    result.notImplemented()
  }
}